/* pbsv.h 1993.8.6 */

#define DEBUG 1

#define PBSV_VER "0.04"
#define PBSV_ID  "[930806]"

typedef unsigned char u_char;
typedef unsigned int  u_int;
typedef unsigned long u_long;

typedef int VOID;
typedef int BOOL;
typedef int TINY;

#define OK  1
#define NG  0

#define ON  1
#define OFF 0

#define NOT_DEFINE (-1)

#define MAXUSER	    20
#define MAXHOLE	    100
#define MAXPFHDIR   1024

#define MAXBLKSIZE  244

#define ADRSIZE  7	    /* adrs length	*/
#define CALLSIZE 10 
#define HDRSIZE  1+7+7+1+1
#define FRMSIZE	    2048

#define F_DIR	0x0001

struct stqcell {
    struct stqcell *next;
};

struct stqueue {
    struct stqcell *head;
    struct stqcell *tail;
};

struct sthole {
    struct sthole *next;
    long offset;
    u_int length;
    time_t start;
    time_t end;
};

struct stuser {
    struct stuser *next;
    time_t entry_t;
    u_int flags;
    char call[CALLSIZE];
    int  file_type;
    long file_id;
    u_int block_size;
    long file_size;
    struct stqueue hole;
};

struct stpfhdir {
    time_t t_old;
    time_t t_new;
    long file_id;
    int pfh_size;
};

struct stpfh {
    u_long file_number;
    char   file_name[8];
    char   file_ext[3];
    u_long file_size;
    u_long create_time;
    u_long last_modied_time;
    u_char seu_flag;
    u_char file_type;
    u_int  body_checksum;
    u_int  header_cecksum;
    u_int  body_offset;

    u_int  pfh_size;
};

/* pbsv.h */
